/*
 * Copyright (c) 2013, The Cat Hive Developers
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cathive.fonts.roboto;

/**
 * A bunch of String constants that define the different font names
 * that can be used.
 * 
 * @author Benjamin P. Jung
 */
public final class RobotoFonts {

    // Private constructor.
    // Should actually never be called.
    private RobotoFonts() {
        throw new IllegalStateException("Not intended for instantiation!");
    }


    public static final String ROBOTO_BLACK = "Roboto Black";
    public static final String ROBOTO_BLACK_ITALIC = "Roboto Black Italic";
    public static final String ROBOTO_BOLD = "Roboto Bold";
    public static final String ROBOTO_BOLD_CONDENSED = "Roboto Bold Condensed";
    public static final String ROBOTO_BOLD_CONDENSED_ITALIC = "Roboto Bold Condensed Italic";
    public static final String ROBOTO_BOLD_ITALIC = "Roboto Bold Italic";
    public static final String ROBOTO_CONDENSED = "Roboto Condensed";
    public static final String ROBOTO_ITALIC = "Roboto Italic";
    public static final String ROBOTO_LIGHT = "Roboto Light";
    public static final String ROBOTO_MEDIUM = "Roboto Medium";
    public static final String ROBOTO_MEDIUM_ITALIC = "Roboto Medium Italic";
    public static final String ROBOTO_REGULAR = "Roboto Regular";
    public static final String ROBOTO_THIN = "Roboto Thin";
    public static final String ROBOTO_THIN_ITACIC = "Roboto Thin Italic";

}
